- Home
- API Enriched
- Ddos
- infraprotect
- Link Alert to Event.
Link Alert to Event.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/alert/example/to_event';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"alert_id":"example","event_id":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/alert/example/to_event \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "alert_id": "example", "event_id": "example", "namespace": "example" }'Allows customers to link alerts with events. This helps with tracking of any mitigation activity and event investigation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Alert ID Alert to be link with an event.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to add an alert to event (link them together)
object
Alert to be link with an event.
Event to be link with an alert.
This request is supported only in system namespace.
Examplegenerated
{ "alert_id": "example", "event_id": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response to adding an alert to event.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example